Skip to content

Get terminal streams

GET
/terminals/{id}/streams
curl --request GET \
--url 'https://us-gov.legion.picogrid.com/v2/terminals/example/streams?paging_direction=forwards'

Gets all streams for the specified terminal paginated

id
required
string

The id of the terminal you want to get streams for

limit
string

The maximum number of items to return with a default value of 10. Note that a request never returns more than about 1MB of data irrespective of how high this value is

cursor
string

The cursor given by your previous request used to get the next page of results. Defaults to start from the beginning if forwards and end if backwards

paging_direction
string
Allowed values: forwards backwards

The direction for the pagination cursor. Defaults to forwards

org_id
string

The id of the organization to get terminal streams for

Success

Media typeapplication/json
object
data
required
Array<object>
object
id
required
string
terminal_id
required
string
fragment_type_id
required
string
processor_ids
required

The ids of the processors you have instantiated for your organization and attached to this stream. Picogrid offers several different types of processing for different data streams such as object detection on image/jpg type streams

Array<string>
last_edited
required

Epoch milliseconds integer. See https://en.wikipedia.org/wiki/Unix_time for more information

integer
compatible_namespaces
required

The namespaces compatible with this stream. Namespaces define the commands available for a stream. For instance, the FLIR namespace enables users to perform PTZ commands on a FLIR camera.

Array<string>
pagination
required
One of:
No More Pages
object
has_more
required

Is false in this case which means you have reached the end of available results

boolean
Example
{
"pagination": {
"has_more": false
}
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Bad Request Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Authentication Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Unauthorized Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Resource Not Found Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Timeout Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Bad Gateway Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Version 2 · commit 0771262